Bug 1231450 - [abrt] cinnamon: g_type_check_instance_cast(): python2.7 killed by SIGSEGV
Summary: [abrt] cinnamon: g_type_check_instance_cast(): python2.7 killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: opencv
Version: 22
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nicolas Chauvet (kwizart)
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:41cc006428fa0f080dd1604950a...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-13 13:12 UTC by Bogdan B.
Modified: 2015-07-30 01:10 UTC (History)
7 users (show)

Fixed In Version: opencv-2.4.11-5.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-30 01:10:44 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (75.35 KB, text/plain)
2015-06-13 13:12 UTC, Bogdan B.
no flags Details
File: cgroup (190 bytes, text/plain)
2015-06-13 13:12 UTC, Bogdan B.
no flags Details
File: core_backtrace (12.09 KB, text/plain)
2015-06-13 13:12 UTC, Bogdan B.
no flags Details
File: dso_list (33.54 KB, text/plain)
2015-06-13 13:12 UTC, Bogdan B.
no flags Details
File: environ (1.23 KB, text/plain)
2015-06-13 13:12 UTC, Bogdan B.
no flags Details
File: limits (1.29 KB, text/plain)
2015-06-13 13:12 UTC, Bogdan B.
no flags Details
File: maps (123.96 KB, text/plain)
2015-06-13 13:12 UTC, Bogdan B.
no flags Details
File: mountinfo (3.25 KB, text/plain)
2015-06-13 13:12 UTC, Bogdan B.
no flags Details
File: namespaces (85 bytes, text/plain)
2015-06-13 13:12 UTC, Bogdan B.
no flags Details
File: open_fds (1.02 KB, text/plain)
2015-06-13 13:12 UTC, Bogdan B.
no flags Details
File: proc_pid_status (953 bytes, text/plain)
2015-06-13 13:12 UTC, Bogdan B.
no flags Details

Description Bogdan B. 2015-06-13 13:12:25 UTC
Version-Release number of selected component:
cinnamon-2.4.8-1.fc22

Additional info:
reporter:       libreport-2.5.1
backtrace_rating: 4
cmdline:        python2 /usr/lib/cinnamon-settings/cinnamon-settings.py user
crash_function: g_type_check_instance_cast
executable:     /usr/bin/python2.7
global_pid:     3455
kernel:         4.0.4-301.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000
var_log_messages: [System Logs]:\n-- Logs begin at Sat 2015-06-13 15:21:03 EEST, end at Sat 2015-06-13 15:35:12 EEST. --

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_type_check_instance_cast at gtype.c:4055
 #1 CvCapture_GStreamer::close at /usr/src/debug/opencv-2.4.9/modules/highgui/src/cap_gstreamer.cpp:189
 #2 ~CvCapture_GStreamer at /usr/src/debug/opencv-2.4.9/modules/highgui/src/cap_gstreamer.cpp:120
 #3 CvCapture_GStreamer::~CvCapture_GStreamer at /usr/src/debug/opencv-2.4.9/modules/highgui/src/cap_gstreamer.cpp:120
 #4 cvReleaseCapture at /usr/src/debug/opencv-2.4.9/modules/highgui/src/cap.cpp:66
 #5 Capture_dealloc at /usr/src/debug/opencv-2.4.9/build/modules/python/generated3.i:179
 #6 frame_dealloc at /usr/src/debug/Python-2.7.10/Objects/frameobject.c:460
 #7 fast_function at /usr/src/debug/Python-2.7.10/Python/ceval.c:4200
 #8 call_function at /usr/src/debug/Python-2.7.10/Python/ceval.c:4133
 #9 PyEval_EvalFrameEx at /usr/src/debug/Python-2.7.10/Python/ceval.c:2755

Comment 1 Bogdan B. 2015-06-13 13:12:29 UTC
Created attachment 1038289 [details]
File: backtrace

Comment 2 Bogdan B. 2015-06-13 13:12:30 UTC
Created attachment 1038290 [details]
File: cgroup

Comment 3 Bogdan B. 2015-06-13 13:12:32 UTC
Created attachment 1038291 [details]
File: core_backtrace

Comment 4 Bogdan B. 2015-06-13 13:12:33 UTC
Created attachment 1038292 [details]
File: dso_list

Comment 5 Bogdan B. 2015-06-13 13:12:35 UTC
Created attachment 1038293 [details]
File: environ

Comment 6 Bogdan B. 2015-06-13 13:12:36 UTC
Created attachment 1038294 [details]
File: limits

Comment 7 Bogdan B. 2015-06-13 13:12:38 UTC
Created attachment 1038295 [details]
File: maps

Comment 8 Bogdan B. 2015-06-13 13:12:40 UTC
Created attachment 1038296 [details]
File: mountinfo

Comment 9 Bogdan B. 2015-06-13 13:12:41 UTC
Created attachment 1038297 [details]
File: namespaces

Comment 10 Bogdan B. 2015-06-13 13:12:42 UTC
Created attachment 1038298 [details]
File: open_fds

Comment 11 Bogdan B. 2015-06-13 13:12:44 UTC
Created attachment 1038299 [details]
File: proc_pid_status

Comment 12 Fedora Update System 2015-06-26 01:38:44 UTC
opencv-2.4.11-3.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/opencv-2.4.11-3.fc22

Comment 13 Fedora Update System 2015-06-26 20:32:01 UTC
Package opencv-2.4.11-3.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing opencv-2.4.11-3.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-10787/opencv-2.4.11-3.fc22
then log in and leave karma (feedback).

Comment 14 Fedora Update System 2015-07-06 14:36:20 UTC
opencv-2.4.11-4.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/opencv-2.4.11-4.fc22

Comment 15 Fedora Update System 2015-07-15 04:38:41 UTC
opencv-2.4.11-5.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/opencv-2.4.11-5.fc22

Comment 16 Fedora Update System 2015-07-30 01:10:44 UTC
opencv-2.4.11-5.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.